%global commit a51091724d009eca594e9ddc797d174d864425b0
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:		qtcurve
Version:	1.8.18
Release:	2%{?dist}.20140912git%{shortcommit}
Summary:	A set of widget styles for KDE and GTK+ applications

Group:		User Interface/Desktops
License:	LGPLv2.1+

URL:		http://www.kde-look.org/content/show.php?content=40492

# Obtain commit from URL http://quickgit.kde.org/?p=%{name}.git&a=snapshot&h=%{commit}&fmt=tbz2
Source0:	%{name}-%{shortcommit}.tar.bz2

BuildRequires:	kde-workspace-devel
BuildRequires:	gettext
BuildRequires:	gtk2-devel
BuildRequires:	qt5-qtbase-devel
BuildRequires:	qt5-qtsvg-devel

Requires:	kde-workspace 

Provides:	qtcurve-kde4 = %{version}-%{release}%{?dist}
Provides:	qtcurve-gtk2 = %{version}-%{release}%{?dist}
Obsoletes:	qtcurve-kde4 < 1.8.14-4
Obsoletes:	qtcurve-gtk2 < 1.8.16-3

%description
QtCurve is highly configurable theme engine, aimed at providing a uniform
look across applications. Currently it provides window decorations for kwin,
as well as widget styles for applications based on the Qt5/Qt4/GTK2 toolkits.


%prep
%setup -qn %{name}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc AUTHORS COPYING README.md TODO.md ChangeLog.md Bugs.md

%{_kde4_appsdir}/QtCurve/
%{_kde4_appsdir}/color-schemes/*.colors
%{_kde4_appsdir}/kstyle/themes/qtcurve.themerc
%{_kde4_appsdir}/kwin/*.desktop
%{_kde4_libdir}/kde4/*.so
%{_kde4_libdir}/kde4/plugins/styles/qtcurve.so

%{_datadir}/themes/QtCurve/
%{_libdir}/*.so*
%{_libdir}/gtk-2.0/*/engines/libqtcurve.so
%{_libdir}/qt5/plugins/styles/qtcurve.so


%changelog
* Fri Sep 12 2014 Steven Franzen <sfranzen@fedorapeople.org> - 1.8.18-2.20140912gita510917
- Fix linking error with Qt5.3

* Mon Mar 03 2014 Steven Franzen <sfranzen@fedorapeople.org> - 1.8.18-1
- Initial package release
- New upstream maintainer has merged together KDE and gtk2 branches
